s_str_list_t Struct Reference
Public interface » ID macros » General data types

String list type. More...

`#include <hd.h>`

## Data Fields

struct s_str_list_t * | next
| Link to next member.
char * | str
| Some string data.

## Related Symbols

(Note that these are not member symbols.)
str_list_t * | search_str_list (str_list_t *sl, char *str)
| Search a string list for a string.
str_list_t * | add_str_list (str_list_t **sl, char *str)
| Add a string to a string list.
str_list_t * | free_str_list (str_list_t *list)
| Free the memory allocated by a string list.
str_list_t * | reverse_str_list (str_list_t *list)
| Reverse string list.

## Detailed Description

String list type.

Used whenever we create a list of strings (e.g. file read).

The documentation for this struct was generated from the following files:

- hd.h
- hd.c